### Method

# Gimp Drawable threshold

#### Declaration [src]

    gboolean
    gimp_drawable_threshold (
      GimpDrawable* drawable,
      GimpHistogramChannel channel,
      gdouble low_threshold,
      gdouble high_threshold
    )

#### Description [src]

Threshold the specified drawable.

This procedures generates a threshold map of the specified drawable. All pixels between the values of ‘low_threshold’ and ‘high_threshold’, on the scale of ‘channel’ are replaced with white, and all other pixels with black.

Available since: | 2.10

#### Parameters

`channel` | `GimpHistogramChannel`
| The channel to base the threshold on.
`low_threshold` | `gdouble`
| The low threshold value.
`high_threshold` | `gdouble`
| The high threshold value.

#### Return value

Returns: | `gboolean`
| TRUE on success.